﻿using System;
using System.Windows;
using GalaSoft.MvvmLight.Messaging;
using Infragistics.Windows.DockManager;
using WpfApplication1.ViewModels;

namespace WpfApplication1.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            TheRibbon.LinkRibbonTabToContentPane(Pane1, Pane2, Pane3);
        }

        // Allows to activate the corresponding ribbon group on clicking onto the tab of the pane or onto the pane itself.
        private void Pane_IsKeyboardFocusWithinChanged(Object sender, DependencyPropertyChangedEventArgs e)
        {
            Messenger.Default.Send<String>("Just do it.", (sender as ContentPane).Name);
        }
    }
}