﻿using Infragistics.Windows.Ribbon;
using WpfApplication1.ViewModels;

namespace WpfApplication1.Views
{
    /// <summary>
    /// Interaction logic for RibbonGroup3.xaml
    /// </summary>
    public partial class RibbonGroup3 : RibbonGroup
    {
        public RibbonGroup3()
        {
            this.DataContext = Pane3ViewModel.Instance;  // Since this is only a stripped-down sample code, we renounce the usage of a "ViewModelLocator" only to keep it short and simple. This deliberate simplification, of course, violates the MVVM pattern.
            InitializeComponent();
        }

        // This handler of the click event is unreachable when the 3rd pane is floating while at least one pane is docked to the main window.
        private void Notify_OnClick(object sender, System.Windows.RoutedEventArgs e)
        {
            int bp = 0;
        }

        // This handler of the 'mouse...down' event is always executed.
        private void Notify_OnPreviewMouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            int bp = 0;
        }
    }
}